Name: java-common
Version: 1.3
Release: alt1

Summary: Common files for Java runtimes
Group: System/Base
License: GPL

Provides: %_bindir/java

Source0: java.sh
Source1: java-functions

BuildArch: noarch

BuildPreReq: rpm-build-java

%description
This package contains the Java wrapper that selects a Java runtime
environment available in the system to execute Java applications,
as well as common routines to set up Java application launcher
scripts.
The package also provides the system-wide installation directory
for Java packages.

%install
%__mkdir_p %buildroot%_bindir
%__install -p -m 755 %SOURCE0 %buildroot%_bindir/java
%__subst -p 's,@SCRIPTDIR@,%_datadir/%name,g' %buildroot%_bindir/java
%__install -d -m 755 %buildroot%_datadir/%name
%__install -p -m 644 %SOURCE1 %buildroot%_datadir/%name/java-functions
%__subst -p 's,@LIBDIR@,%_libdir,g; s,@JAVADIR@,%_javadir,g' \
    %buildroot%_datadir/%name/java-functions
# Provide symlink in %_libdir for backwards compatibility
%__mkdir_p %buildroot%_libdir
%__ln_s -nf $(relative %_datadir/%name %_libdir/) %buildroot%_libdir/java-common
%__install -d -m 755 %buildroot%_javadir
%__install -d -m 755 %buildroot%_javadocdir

%files
%_bindir/java
%_datadir/%name
%_libdir/java-common
%dir %_javadir
%dir %_javadocdir

%pre
%__rm -rf %_libdir/java-common

%triggerun -- java-common < 1.3
if [ -L %_libdir/java-common ]; then
    %__rm -f %_libdir/java-common
fi

%triggerpostun -- java-common < 1.3
%__ln_s -nf $(relative %_datadir/%name %_libdir/) %_libdir/java-common

%changelog
* Sat Jun 25 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.3-alt1
- Incorporated jdkgcj fallback into the FindJVM function
  which also sets JAVA_BIN global variable
- Moved java-functions under /usr/share to be truly arch-independent

* Mon Dec 20 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.2-alt1
- Added FindJVM function to java-functions

* Sun Mar 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1-alt1
- Provided fallback to jdkgcj in case no full-scale JDK is found
- Added a feature to the AddToClasspath function: non-absolute path names
  get prefixed with /usr/share/java

* Sat Oct 18 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt3
- Added the /usr/share/javadoc directory

* Mon Oct 06 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt2
- Added /usr/bin/java to Provides:

* Mon Nov 18 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt1
- Initial release

